org.apache.cassandra.auth

## Interface AuthMBean

- All Known Implementing Classes:
    Auth

      public interface AuthMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPermissionsValidity()`
    `void` | `invalidatePermissionsCache()`
    `void` | `setPermissionsValidity(int timeoutInMs)`

- - ### Method Detail

    - #### getPermissionsValidity

          int getPermissionsValidity()

    - #### setPermissionsValidity

          void setPermissionsValidity(int timeoutInMs)

    - #### invalidatePermissionsCache

          void invalidatePermissionsCache()

Copyright © 2014 The Apache Software Foundation